IDScan.net
Search Results for

    Show / Hide Table of Contents

    California DMV Digital Signature Verification Errors

    Invalid Request Body Format

    Returned when the request body cannot be parsed as valid JSON. The HTTP response code is 400 Bad Request.

    {
      "errors": {
        "": [
          "Unexpected character encountered while parsing value: @. Path '', line 0, position 0."
        ]
      },
      "type": "https://tools.ietf.org/html/rfc9110#section-15.5.1",
      "title": "One or more validation errors occurred.",
      "status": 400,
      "traceId": "00-1e827e49e2cd3dfc8fa41e5d383f6664-f398cbfa0669fc6b-00"
    }
    

    Empty Required Field

    Returned when a required field is present in the request but has no value. success is false, serviceVerificationResult.statusCode is 3 (Undefined), and the error object contains the message.

    [
      {
        "requestDetail": {
          "requestLogId": 2663,
          "requestDateUtc": "2026-06-10T10:24:42.4233884Z"
        },
        "metadata": {},
        "success": false,
        "error": {
          "message": "Empty Required Field: 'trackString'",
          "traceId": "00-e4337a9fc11fa5619b736fd71ac95edd-c87e2fb06926b4fe-00"
        },
        "service": {
          "id": "19862c3a-513f-4d48-ab36-fa583e8df90a",
          "name": "DMV Digital Signature Verification",
          "description": "Verifying Digital Signatures on US DL/ID Documents",
          "isMultipleProfiles": false
        },
        "location": {
          "locationId": null,
          "readOnlyAccessLocationIds": null
        },
        "serviceVerificationResult": {
          "statusCode": 3,
          "statusString": "Undefined"
        },
        "profiles": null
      }
    ]
    

    Invalid trackString Format

    Returned when the trackString field is present but the barcode data cannot be parsed (bad scan quality, incorrect format, or corrupted data). serviceVerificationResult.statusCode is 3 (Undefined).

    [
      {
        "requestDetail": {
          "requestLogId": 2664,
          "requestDateUtc": "2026-06-10T10:25:46.2319006Z"
        },
        "metadata": {},
        "success": false,
        "error": {
          "message": "The 'trackString' field is not valid. Errors: This document has an invalid format of the document number;Date of issue in this document is greater than expiration date;This document has an incorrect AAMVA version;This document has an incorrect offset in header of the 2 subfile;Real length is greater than estimate length of the document",
          "traceId": "00-abfa2cfabfea87813a7c034cb797cd26-546fbcd0778508f0-00"
        },
        "service": {
          "id": "19862c3a-513f-4d48-ab36-fa583e8df90a",
          "name": "DMV Digital Signature Verification",
          "description": "Verifying Digital Signatures on US DL/ID Documents",
          "isMultipleProfiles": false
        },
        "location": {
          "locationId": null,
          "readOnlyAccessLocationIds": null
        },
        "serviceVerificationResult": {
          "statusCode": 3,
          "statusString": "Undefined"
        },
        "profiles": []
      }
    ]
    

    Unsupported Jurisdiction

    Returned when the document was issued by a state or jurisdiction not currently supported by this service. serviceVerificationResult.statusCode is 3 (Undefined).

    [
      {
        "requestDetail": {
          "requestLogId": 2666,
          "requestDateUtc": "2026-06-10T10:31:49.5465549Z"
        },
        "metadata": {},
        "success": false,
        "error": {
          "message": "The state 'TX' is not supported for such service",
          "traceId": "00-e00dd4a2c22e6687c46541830ecd446c-a89fd8e848f53289-00"
        },
        "service": {
          "id": "19862c3a-513f-4d48-ab36-fa583e8df90a",
          "name": "DMV Digital Signature Verification",
          "description": "Verifying Digital Signatures on US DL/ID Documents",
          "isMultipleProfiles": false
        },
        "location": {
          "locationId": null,
          "readOnlyAccessLocationIds": null
        },
        "serviceVerificationResult": {
          "statusCode": 3,
          "statusString": "Undefined"
        },
        "profiles": []
      }
    ]
    

    Generic Processing Error

    Returned when an unexpected error occurs during request processing. serviceVerificationResult.statusCode is 3 (Undefined). If this error persists, contact support.

    [
      {
        "requestDetail": {
          "requestLogId": 2665,
          "requestDateUtc": "2026-06-10T10:28:22.4635531Z"
        },
        "metadata": {},
        "success": false,
        "error": {
          "message": "An error has occurred while processing your request, please try again later. If this issue persists, please contact support@idscan.net",
          "traceId": "00-d066f52f2b73582196e876df83f3bc8e-cd31b14af7839cf2-00"
        },
        "service": {
          "id": "19862c3a-513f-4d48-ab36-fa583e8df90a",
          "name": "DMV Digital Signature Verification",
          "description": "Verifying Digital Signatures on US DL/ID Documents",
          "isMultipleProfiles": false
        },
        "location": {
          "locationId": null,
          "readOnlyAccessLocationIds": null
        },
        "serviceVerificationResult": {
          "statusCode": 3,
          "statusString": "Undefined"
        },
        "profiles": []
      }
    ]
    
    Back to top IDScan.net IDScan.net GitHub